Page 1 of 1

Incompatible mods

Posted: Wed 16 Aug 2017 17:23
by Tagaziel
I've created two small mods implementing units in the game (adding the Luchs and Skink to the rosters of the 116. and 3rd Canadian respectively). Running these two together is impossible, as the game says they're incompatible. I assume the problem lies in me modifying the generated DeckSerializer, Divisions, and Packs .ndf in GameData\Gameplay\Decks\Generated, and it isn't as simple as modifying them so that each unit has a different DeckSerializer number.

I'd like to have these mods out piecemeal, so any help is greatly appreciated.

Re: Incompatible mods

Posted: Thu 17 Aug 2017 10:39
by eug_begonia
Hi Tagaziel,

Indeed it is impossible to run two mods which are modifying units at the same time. However, you could try to merge your two mods into one. This should solve your issue.

Re: Incompatible mods

Posted: Sat 19 Aug 2017 16:38
by Tagaziel
eug_begonia wrote:Hi Tagaziel,

Indeed it is impossible to run two mods which are modifying units at the same time. However, you could try to merge your two mods into one. This should solve your issue.


Dang it.

I assumed the system worked like NetImmerse/Gamebryo/Creation engine, where the differences are merged into the file, rather than the whole file is preserved.

Well, time to work on an unit pack instead.

Re: Incompatible mods

Posted: Mon 21 Aug 2017 18:41
by Darkmil
Could you please add me on steam (Id : Darkmil935) so that we can talk about how you added the two units ?

Re: Incompatible mods

Posted: Mon 21 Aug 2017 23:10
by Tagaziel
Darkmil wrote:Could you please add me on steam (Id : Darkmil935) so that we can talk about how you added the two units ?

Sure. Unless you add me first (not near a PC right now)